Gentoo Archives: gentoo-commits

From: Alexey Shvetsov <alexxy@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] proj/sci:master commit in: sys-cluster/open-mx/files/, sys-fs/ocfs2-tools/files/, sys-cluster/open-mx/, ...
Date: Wed, 31 Aug 2011 18:35:06
Message-Id: fbc3eb63e8ddd97a7167efaee17a36ba86295e69.alexxy@gentoo
1 commit: fbc3eb63e8ddd97a7167efaee17a36ba86295e69
2 Author: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
3 AuthorDate: Wed Aug 31 18:31:26 2011 +0000
4 Commit: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
5 CommitDate: Wed Aug 31 18:32:51 2011 +0000
6 URL: http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=fbc3eb63
7
8 Moved to tree
9
10 ---
11 sys-cluster/open-mx/files/omxoed.initd | 46 -------
12 .../open-mx/files/open-mx-1.4.0-driver.patch | 14 --
13 sys-cluster/open-mx/metadata.xml | 9 --
14 sys-cluster/open-mx/open-mx-1.4.0.ebuild | 71 -----------
15 sys-cluster/open-mx/open-mx-1.5.0.ebuild | 77 ------------
16 sys-fs/ocfs2-tools/files/ocfs2.confd | 38 ------
17 sys-fs/ocfs2-tools/files/ocfs2.initd | 125 --------------------
18 sys-fs/ocfs2-tools/metadata.xml | 11 --
19 sys-fs/ocfs2-tools/ocfs2-tools-1.6.4.ebuild | 68 -----------
20 9 files changed, 0 insertions(+), 459 deletions(-)
21
22 diff --git a/sys-cluster/open-mx/files/omxoed.initd b/sys-cluster/open-mx/files/omxoed.initd
23 deleted file mode 100644
24 index 5430d48..0000000
25 --- a/sys-cluster/open-mx/files/omxoed.initd
26 +++ /dev/null
27 @@ -1,46 +0,0 @@
28 -#!/sbin/runscript
29 -# Copyright 1999-2011 Gentoo Foundation
30 -# Distributed under the terms of the GNU General Public License v2
31 -# $Header: $
32 -
33 -depend() {
34 - need net
35 -}
36 -
37 -checksystem() {
38 - if [ -c /dev/open-mx ]; then
39 - einfo "Open-MX module already loaded"
40 - return 0
41 - else
42 - einfo "Checking if Open-MX module present"
43 - if [ "x$(modprobe -l open-mx | grep open-mx)" == "x" ]; then
44 - eerror "open-mx not found!"
45 - return 1
46 - fi
47 - fi
48 -}
49 -
50 -start() {
51 - ebegin "Starting ${SVCNAME}"
52 - checksystem || return 1
53 - if [ ! -c /dev/open-mx ]; then
54 - ebegin "Loading open-mx module"
55 - modprobe -q open-mx
56 - fi
57 - start-stop-daemon --start --exec /usr/bin/omxoed \
58 - --background --make-pidfile \
59 - --pidfile /var/run/omeoed.pid
60 - eend $?
61 -}
62 -
63 -stop() {
64 - ebegin "Stopping ${SVCNAME}"
65 - start-stop-daemon --stop --exec /usr/bin/omxoed \
66 - --pidfile /var/run/omeoed.pid
67 - eend $?
68 -}
69 -
70 -status() {
71 - ebegin "Showing current active Open-MX peers"
72 - omx_info -q
73 -}
74
75 diff --git a/sys-cluster/open-mx/files/open-mx-1.4.0-driver.patch b/sys-cluster/open-mx/files/open-mx-1.4.0-driver.patch
76 deleted file mode 100644
77 index e082865..0000000
78 --- a/sys-cluster/open-mx/files/open-mx-1.4.0-driver.patch
79 +++ /dev/null
80 @@ -1,14 +0,0 @@
81 ---- Makefile.am 2011-07-15 02:42:53.000000000 +0400
82 -+++ Makefile.am 2011-07-15 02:43:02.000000000 +0400
83 -@@ -20,11 +20,6 @@
84 -
85 - SUBDIRS =
86 -
87 --# Driver
88 --if OMX_BUILD_DRIVER
89 -- SUBDIRS += driver/linux
90 --endif
91 --
92 - # Library
93 - if OMX_BUILD_LIBRARY
94 - SUBDIRS += libopen-mx tools tests tests/mx
95
96 diff --git a/sys-cluster/open-mx/metadata.xml b/sys-cluster/open-mx/metadata.xml
97 deleted file mode 100644
98 index a64f2d2..0000000
99 --- a/sys-cluster/open-mx/metadata.xml
100 +++ /dev/null
101 @@ -1,9 +0,0 @@
102 -<?xml version="1.0" encoding="UTF-8"?>
103 -<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
104 -<pkgmetadata>
105 - <herd>cluster</herd>
106 - <maintainer>
107 - <email>alexxy@g.o</email>
108 - <name>Alexey Shvetsov</name>
109 - </maintainer>
110 -</pkgmetadata>
111
112 diff --git a/sys-cluster/open-mx/open-mx-1.4.0.ebuild b/sys-cluster/open-mx/open-mx-1.4.0.ebuild
113 deleted file mode 100644
114 index e640ef8..0000000
115 --- a/sys-cluster/open-mx/open-mx-1.4.0.ebuild
116 +++ /dev/null
117 @@ -1,71 +0,0 @@
118 -# Copyright 1999-2011 Gentoo Foundation
119 -# Distributed under the terms of the GNU General Public License v2
120 -# $Header: $
121 -
122 -EAPI=4
123 -
124 -inherit autotools linux-mod multilib
125 -
126 -DESCRIPTION="Open-MX - Myrinet Express over Generic Ethernet Hardware"
127 -HOMEPAGE="http://open-mx.gforge.inria.fr/"
128 -SRC_URI="http://gforge.inria.fr/frs/download.php/28399/${P}.tar.gz"
129 -
130 -LICENSE="GPL-2 LGPL-2"
131 -SLOT="0"
132 -KEYWORDS="~amd64 ~x86"
133 -IUSE="debug modules static-libs"
134 -
135 -DEPEND="
136 - sys-apps/hwloc
137 - virtual/linux-sources"
138 -RDEPEND="
139 - sys-apps/hwloc
140 - sys-apps/module-init-tools"
141 -
142 -MODULE_NAMES="open-mx(misc:${S}/driver/linux)"
143 -BUILD_TARGETS="all"
144 -BUILD_PARAMS="KDIR=${KERNEL_DIR}"
145 -
146 -src_prepare() {
147 - # We still want to configure driver but dont want to build it at all
148 - epatch "${FILESDIR}/open-mx-1.4.0-driver.patch"
149 - # We dont want tests
150 - sed -e 's:tests/mx::g' \
151 - -e 's:tests::g' \
152 - -i Makefile.am || die "sed failed"
153 - eautoreconf
154 -}
155 -
156 -src_configure() {
157 - econf \
158 - $(use_enable static-libs static) \
159 - $(use_enable debug)
160 -}
161 -
162 -src_compile() {
163 - default
164 - if use modules; then
165 - cd "${S}/driver/linux"
166 - linux-mod_src_compile || die "failed to build driver"
167 - fi
168 -}
169 -
170 -src_install() {
171 - default
172 - use static-libs || find "${ED}" -name '*.*a' -exec rm {} +
173 - # Drop init scripts
174 - rm -rf "${ED}/usr/sbin" || die
175 - rm "${ED}/usr/bin/omx_check"
176 - # install udev rules
177 - insinto /etc/udev/rules.d
178 - doins "${ED}/etc/open-mx/10-open-mx.rules"
179 - dodoc "${ED}/usr/share/open-mx/FAQ.html"
180 - # Drop misc stuff
181 - rm "${ED}/etc/open-mx/10-open-mx.rules" || die
182 - rm -rf "${ED}/usr/share/open-mx" || die
183 - newinitd "${FILESDIR}/omxoed.initd" omxoed
184 - if use modules; then
185 - cd "${S}/driver/linux"
186 - linux-mod_src_install || die "failed to install driver"
187 - fi
188 -}
189
190 diff --git a/sys-cluster/open-mx/open-mx-1.5.0.ebuild b/sys-cluster/open-mx/open-mx-1.5.0.ebuild
191 deleted file mode 100644
192 index 46addf1..0000000
193 --- a/sys-cluster/open-mx/open-mx-1.5.0.ebuild
194 +++ /dev/null
195 @@ -1,77 +0,0 @@
196 -# Copyright 1999-2011 Gentoo Foundation
197 -# Distributed under the terms of the GNU General Public License v2
198 -# $Header: $
199 -
200 -EAPI=4
201 -
202 -inherit autotools linux-mod multilib
203 -
204 -DESCRIPTION="Open-MX - Myrinet Express over Generic Ethernet Hardware"
205 -HOMEPAGE="http://open-mx.gforge.inria.fr/"
206 -SRC_URI="http://gforge.inria.fr/frs/download.php/28871/${P}.tar.gz"
207 -
208 -LICENSE="GPL-2 LGPL-2"
209 -SLOT="0"
210 -KEYWORDS="~amd64 ~x86"
211 -IUSE="debug modules static-libs"
212 -
213 -DEPEND="
214 - sys-apps/hwloc
215 - virtual/linux-sources"
216 -RDEPEND="
217 - sys-apps/hwloc
218 - sys-apps/module-init-tools"
219 -
220 -MODULE_NAMES="open-mx(misc:${S}/driver/linux)"
221 -BUILD_TARGETS="all"
222 -BUILD_PARAMS="KDIR=${KERNEL_DIR}"
223 -
224 -pkg_setup() {
225 - einfo "You can set desired mtu by setting OPEN_MX_MTU in make.conf"
226 - linux-mod_pkg_setup
227 -}
228 -
229 -src_prepare() {
230 - # We still want to configure driver but dont want to build it at all
231 - epatch "${FILESDIR}/open-mx-1.4.0-driver.patch"
232 - # We dont want tests
233 - sed -e 's:tests/mx::g' \
234 - -e 's:tests::g' \
235 - -i Makefile.am || die "sed failed"
236 - eautoreconf
237 -}
238 -
239 -src_configure() {
240 - econf \
241 - --with-mtu=${OPEN_MX_MTU:-9000} \
242 - $(use_enable static-libs static) \
243 - $(use_enable debug)
244 -}
245 -
246 -src_compile() {
247 - default
248 - if use modules; then
249 - cd "${S}/driver/linux"
250 - linux-mod_src_compile || die "failed to build driver"
251 - fi
252 -}
253 -
254 -src_install() {
255 - default
256 - use static-libs || find "${ED}" -name '*.*a' -exec rm {} +
257 - # Drop init scripts
258 - rm -rf "${ED}/usr/sbin" || die
259 - rm "${ED}/usr/bin/omx_check"
260 - # install udev rules
261 - insinto /etc/udev/rules.d
262 - doins "${ED}/etc/open-mx/10-open-mx.rules"
263 - dodoc "${ED}/usr/share/open-mx/FAQ.html"
264 - # Drop misc stuff
265 - rm "${ED}/etc/open-mx/10-open-mx.rules" || die
266 - rm -rf "${ED}/usr/share/open-mx" || die
267 - newinitd "${FILESDIR}/omxoed.initd" omxoed
268 - if use modules; then
269 - cd "${S}/driver/linux"
270 - linux-mod_src_install || die "failed to install driver"
271 - fi
272 -}
273
274 diff --git a/sys-fs/ocfs2-tools/files/ocfs2.confd b/sys-fs/ocfs2-tools/files/ocfs2.confd
275 deleted file mode 100644
276 index 5076bce..0000000
277 --- a/sys-fs/ocfs2-tools/files/ocfs2.confd
278 +++ /dev/null
279 @@ -1,38 +0,0 @@
280 -# Copyright 1999-2006 Gentoo Foundation
281 -# Distributed under the terms of the GNU General Public License v2
282 -# $Header: /var/cvsroot/gentoo-x86/sys-fs/ocfs2-tools/files/ocfs2.conf,v 1.1 2006/07/20 05:13:14 dberkholz Exp $
283 -
284 -# Put your cluster names here, separated by space, ie.
285 -# OCFS2_CLUSTER="cluster1 admincluster cluster2"
286 -OCFS2_CLUSTER="home"
287 -
288 -# Some heartbeat tweaks to prevent self-fencing quite so much during heavy load.
289 -# http://oss.oracle.com/projects/ocfs2/dist/documentation/ocfs2_faq.html
290 -
291 -# How long to wait before a node is considered dead from lack of network activity.
292 -OCFS2_IDLE_TIMEOUT_MS="30000"
293 -# How often we should attempt to send heartbeats.
294 -OCFS2_KEEPALIVE_DELAY_MS="2000"
295 -OCFS2_RECONNECT_DELAY_MS="2000"
296 -# How often we should attempt to send heartbeats.
297 -# How many interations before a node is considered dead from lack of IO activity.
298 -# (dead_threshold - 1) * 2s
299 -OCFS2_DEAD_THRESHOLD="61"
300 -
301 -# Default: "-fy" (force check on double-unmounted boot). I beleave this is best.
302 -# Native way is "-y", but once I have twice reboot/powerOFF with bad result...
303 -# Affected only fstab.
304 -OCFS2_FSCK="-fy"
305 -
306 -# http://oss.oracle.com/projects/ocfs2-tools/news/article_8.html
307 -# starting from 1.4.3, fsck.ocfs2 "aggressively cache the metadata blocks"
308 -# this is useful on lots of free memory, but I have heavy slowdown on x86_64
309 -# with 1G of RAM.
310 -# "yes" will "swapoff -a" & "swapon -a" around fsck to avoid caching over swap
311 -OCFS2_FSCK_SWAPOFF="yes"
312 -
313 -# Signal to kill processes on stop/umount on busy device (empty to not kill)
314 -#OCFS2_UMOUNT_KILL="KILL"
315 -
316 -# "yes" to force stop
317 -#OCFS2_FORCE_STOP="no"
318
319 diff --git a/sys-fs/ocfs2-tools/files/ocfs2.initd b/sys-fs/ocfs2-tools/files/ocfs2.initd
320 deleted file mode 100644
321 index 631c9bf..0000000
322 --- a/sys-fs/ocfs2-tools/files/ocfs2.initd
323 +++ /dev/null
324 @@ -1,125 +0,0 @@
325 -#!/sbin/runscript
326 -# Copyright 1999-2011 Gentoo Foundation
327 -# Distributed under the terms of the GNU General Public License v2
328 -# $Header: $
329 -
330 -depend() {
331 - need net localmount
332 - before netmount
333 -}
334 -
335 -check_modules_config() {
336 - local MODULES=$1
337 - local CONFIGS=$2
338 - local MODULE
339 - local retval=0
340 -
341 - for MODULE in ${MODULES}; do
342 - if ! ls -1 /sys/module | egrep -q "^${MODULE}$"; then
343 - retval=1
344 - fi
345 - done
346 - if [ ${retval} -eq 1 ] && [ -e /proc/config.gz ]; then
347 - retval=0
348 - for MODULE in ${CONFIGS}; do
349 - if ! gzip -dc /proc/config.gz | egrep -q "^CONFIG_${MODULE}=y$"; then
350 - retval=1
351 - fi
352 - done
353 - fi
354 - return ${retval}
355 -}
356 -
357 -check_modules() {
358 - check_modules_config "ocfs2_dlmfs ocfs2 ocfs2_dlm ocfs2_nodemanager" "OCFS2_FS OCFS2_FS_O2CB" && check_modules_config configfs CONFIGFS_FS && return 0
359 - if ! egrep -q '\s*ocfs2\s*$' /proc/filesystems || ! egrep -q '\s*ocfs2_dlmfs\s*$' /proc/filesystems; then
360 - ewarn "One or more required modules are not loaded."
361 - ewarn "Make sure you have "
362 - ewarn " - placed ocfs, dlmfs and configfs into /etc/modules.autoload.d/kernel-2.6 or built directly into the kernel."
363 - ewarn "For a (in)complete documentation, read /usr/share/doc/ocfs-<version>/INSTALL.GENTOO.bz2"
364 - fi
365 - return 1
366 -}
367 -
368 -check_pseudofs() {
369 - local retval=0
370 - local HASMOUNT="mount -l -t"
371 - if [ -z "`${HASMOUNT} configfs`" ] ; then
372 - retval=1
373 - fi
374 - if [ -z "`${HASMOUNT} ocfs2_dlmfs`" ] ; then
375 - retval=1
376 - fi
377 -
378 - if [ ${retval} -eq 1 ]; then
379 - ewarn "One or more pseudo-filesystes are not mounted."
380 - ewarn "Make sure you have following lines in your /etc/fstab:"
381 - ewarn "none /sys/kernel/config configfs defaults 0 0"
382 - ewarn "none /sys/kernel/dlm ocfs2_dlmfs defaults 0 0"
383 - fi
384 - return ${retval}
385 -}
386 -
387 -
388 -
389 -start() {
390 - check_modules || return $?
391 - check_pseudofs || return $?
392 -
393 - einfo "Starting OCFS2 cluster"
394 - for cluster in ${OCFS2_CLUSTER}; do
395 - ebegin " - ${cluster}"
396 - /sbin/o2cb_ctl -H -n ${cluster} -t cluster -a online=yes >/dev/null 2>&1
397 - eend $?
398 -
399 - # Some heartbeat tweaks to prevent self-fencing quite so much during heavy load.
400 - # http://oss.oracle.com/projects/ocfs2/dist/documentation/ocfs2_faq.html
401 -
402 - # How long to wait before a node is considered dead from lack of network activity.
403 - echo $OCFS2_IDLE_TIMEOUT_MS > /sys/kernel/config/cluster/${cluster}/idle_timeout_ms
404 - # How often we should attempt to send heartbeats.
405 - echo $OCFS2_KEEPALIVE_DELAY_MS > /sys/kernel/config/cluster/${cluster}/keepalive_delay_ms
406 - echo $OCFS2_RECONNECT_DELAY_MS > /sys/kernel/config/cluster/${cluster}/reconnect_delay_ms
407 - # How many interations before a node is considered dead from lack of IO activity.
408 - # (dead_threshold - 1) * 2s
409 - echo $OCFS2_DEAD_THRESHOLD > /sys/kernel/config/cluster/${cluster}/heartbeat/dead_threshold
410 - done
411 - sleep 2
412 -}
413 -
414 -stop() {
415 - # Shamelesly stolen from netmount
416 - local ret
417 - ebegin "Unmounting OCFS2 filesystems"
418 - [ -z "$(umount -art ocfs2 2>&1)" ]
419 - ret=$?
420 - eend ${ret} "Failed to simply unmount filesystems"
421 - [ ${ret} -eq 0 ] && return 0
422 -
423 - declare -a siglist=( "TERM" "KILL" "KILL" )
424 - local retry=0
425 - local remaining="go"
426 -
427 - while [ -n "${remaining}" -a ${retry} -lt 3 ]
428 - do
429 - remaining="$(awk '$3 ~ /'ocfs2'/ { if ($2 != "/") print $2 }' /proc/mounts | sort -r)"
430 - IFS=$'\n'
431 - set -- ${remaining//\\040/ }
432 - unset IFS
433 - [ -z "${remaining}" ] && break
434 -
435 - ebegin $'\t'"Unmounting ocfs2 filesystems (retry #$((retry+1)))"
436 - /bin/fuser -k -${siglist[$((retry++))]} -m "$@" &>/dev/null
437 - sleep 5
438 - umount "$@" &>/dev/null
439 - eend $? $'\t'"Failed to unmount filesystems"
440 - done
441 -
442 -
443 - einfo "Stopping OCFS2 cluster"
444 - for cluster in ${OCFS_CLUSTERS}; do
445 - ebegin " - ${cluster}"
446 - /sbin/o2cb_ctl -H -n ${cluster} -t cluster -a online=no >/dev/null 2>&1
447 - eend $?
448 - done
449 -}
450
451 diff --git a/sys-fs/ocfs2-tools/metadata.xml b/sys-fs/ocfs2-tools/metadata.xml
452 deleted file mode 100644
453 index 3807468..0000000
454 --- a/sys-fs/ocfs2-tools/metadata.xml
455 +++ /dev/null
456 @@ -1,11 +0,0 @@
457 -<?xml version="1.0" encoding="UTF-8"?>
458 -<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
459 -<pkgmetadata>
460 -<herd>sci</herd>
461 -<maintainer>
462 - <email>sci@g.o</email>
463 -</maintainer>
464 -<use>
465 - <flag name='external'>Enable external locking</flag>
466 -</use>
467 -</pkgmetadata>
468
469 diff --git a/sys-fs/ocfs2-tools/ocfs2-tools-1.6.4.ebuild b/sys-fs/ocfs2-tools/ocfs2-tools-1.6.4.ebuild
470 deleted file mode 100644
471 index e84c4d3..0000000
472 --- a/sys-fs/ocfs2-tools/ocfs2-tools-1.6.4.ebuild
473 +++ /dev/null
474 @@ -1,68 +0,0 @@
475 -# Copyright 1999-2011 Gentoo Foundation
476 -# Distributed under the terms of the GNU General Public License v2
477 -# $Header: $
478 -
479 -EAPI=3
480 -PYTHON_DEPEND="gtk? 2"
481 -inherit base python versionator
482 -
483 -DESCRIPTION="Support programs for the Oracle Cluster Filesystem 2"
484 -HOMEPAGE="http://oss.oracle.com/projects/ocfs2-tools/"
485 -SRC_URI="http://oss.oracle.com/projects/${PN}/dist/files/source/v$(get_version_component_range 1-2)/${P}.tar.gz"
486 -
487 -LICENSE="GPL-2"
488 -SLOT="0"
489 -KEYWORDS="~amd64 ~x86"
490 -IUSE="debug external gtk"
491 -
492 -RDEPEND="
493 - sys-apps/util-linux
494 - sys-cluster/cman-lib
495 - external? (
496 - || ( sys-cluster/corosync sys-cluster/openais sys-cluster/dlm-lib )
497 - )
498 - sys-fs/e2fsprogs
499 - sys-libs/ncurses
500 - sys-libs/readline
501 - sys-process/psmisc
502 - gtk? (
503 - dev-python/pygtk
504 - )
505 -"
506 -# 99% of deps this thing has is automagic
507 -# specialy cluster things corosync/pacemaker
508 -DEPEND="${RDEPEND}"
509 -
510 -DOCS=(
511 - "${S}/documentation/samples/cluster.conf"
512 - "${S}/documentation/users_guide.txt"
513 -)
514 -
515 -MAKEOPTS+=" -j1"
516 -
517 -pkg_setup() {
518 - python_set_active_version 2
519 - python_pkg_setup
520 -}
521 -
522 -src_prepare() {
523 - # gentoo uses /sys/kernel/dlm as dlmfs mountpoint
524 - sed -e 's:"/dlm/":"/sys/kernel/dlm":g' \
525 - -i libo2dlm/o2dlm_test.c \
526 - -i libocfs2/dlm.c || die "sed failed"
527 -}
528 -
529 -src_configure() {
530 - econf \
531 - $(use_enable debug debug) \
532 - $(use_enable debug debugexe) \
533 - $(use_enable gtk ocfs2console) \
534 - --enable-dynamic-fsck \
535 - --enable-dynamic-ctl
536 -}
537 -
538 -src_install() {
539 - emake DESTDIR="${D}" install || die
540 - newinitd "${FILESDIR}/ocfs2.initd" ocfs2 || die
541 - newconfd "${FILESDIR}/ocfs2.confd" ocfs2 || die
542 -}